package cn.bingoogolapple.refreshlayout.demo.dialog;

import android.app.Dialog;
import android.content.Context;
import android.graphics.drawable.AnimationDrawable;
import android.widget.ImageView;
import android.widget.TextView;

import cn.bingoogolapple.refreshlayout.demo.R;

public class LoadingDialog extends Dialog {
    private ImageView mProgressIv;
    private TextView mMsgTv;
    private String mMsg;
    private AnimationDrawable mAd;

    public LoadingDialog(Context context) {
        super(context, R.style.DialogTheme);
        setContentView(R.layout.dialog_loading);
        setCancelable(false);
        mProgressIv = (ImageView) findViewById(R.id.iv_loading_progress);
        mMsgTv = (TextView) findViewById(R.id.tv_loading_msg);
        mAd = (AnimationDrawable) mProgressIv.getDrawable();
    }

    /**
     * 设置加载数据时的提示消息
     *
     * @param msg
     */
    public void setMsg(String msg) {
        mMsg = msg;
    }

    public void setMsg(int msgResId) {
        mMsg = getContext().getString(msgResId);
    }

    @Override
    public void show() {
        mMsgTv.setText(mMsg);
        if (!isShowing()) {
            super.show();
            mAd.start();
        }
    }

    @Override
    public void dismiss() {
        super.dismiss();
        if (mAd.isRunning()) {
            mAd.stop();
        }
    }
}